Package org.eclipse.birt.report.engine.content

# Interface IReportContent

public interface IReportContent
The object represents the report content as a whole.

## Method Summary

Modifier and Type
Method
Description
`IHyperlinkAction`
`createActionContent()`
create a anction content.
`IAutoTextContent`
`createAutoTextContent()`
create the auto text content.
`ICellContent`
`createCellContent()`
create a cell content.
`IContainerContent`
`createContainerContent()`
create a container content.
`IDataContent`
`createDataContent()`
create the data content.
`IDataContent`
`createDataContent(IContent content)`
create the data content, copy the properties from the template content.
`IForeignContent`
`createForeignContent()`
create the foreign content.
`IImageContent`
`createImageContent()`
create the image content.
`IImageContent`
`createImageContent(IContent content)`
create the image content, copy the properties from the template content.
`ILabelContent`
`createLabelContent()`
create the label content.
`ILabelContent`
`createLabelContent(IContent content)`
create the label content, copy the properties from the template content.
`IListBandContent`
`createListBandContent()`
Create the list band content
`IListContent`
`createListContent()`
Create the list content
`IListGroupContent`
`createListGroupContent()`
Create the list group content
`IPageContent`
`createPageContent()`
create a page content.
`IRowContent`
`createRowContent()`
create the row content.
`IStyle`
`createStyle()`
create a style.
`ITableBandContent`
`createTableBandContent()`
Create the table band content
`ITableContent`
`createTableContent()`
create an table content.
`ITableGroupContent`
`createTableGroupContent()`
Create the table group content
`ITextContent`
`createTextContent()`
create the text content.
`ITextContent`
`createTextContent(IContent content)`
create the text content, copy the properties from the template content.
`IStyle`
`findStyle(String styleClass)`
find the named style.
`String`
`getACL()`
Get the ACL
`IContent`
`getContent(InstanceID id)`
return the content in this report.
`org.eclipse.birt.report.engine.ir.Report`
`getDesign()`
get the report design used to create this report content.
`List`
`getErrors()`
get the error list which occurs in the generation.
`Map<String,Object>`
`getExtensions()`
Get the extensions
`IPageContent`
`getPageContent(long pageNumber)`
The page content in the report content.
`org.eclipse.birt.report.engine.api.script.IReportContext`
`getReportContext()`
`IContent`
`getRoot()`
Get the root content
`String`
`getTitle()`
Get the title
`TOCNode`
`getTOC()`
Deprecated.
This method shoule be substituted by:
`getTOCTree( format, locale ).getTOCTree( );`
`ITOCTree`
`getTOCTree(String format, com.ibm.icu.util.ULocale locale)`
Gets the toc tree of this report content.
`long`
`getTotalPage()`
Get the total page
`Map<String,Object>`
`getUserProperties()`
Get the user properties
`void`
`readContent(DataInputStream in, ClassLoader loader)`
Read content
`void`
`setACL(String acl)`
Set the ACL
`void`
`setExtensions(Map<String,Object> properties)`
Set the extensions
`void`
`setTitle(String title)`
`void`
`writeContent(DataOutputStream out)`
Write the content

## Method Details

### getDesign

org.eclipse.birt.report.engine.ir.Report getDesign()
get the report design used to create this report content.

Returns:
  the report design.

### getErrors

List getErrors()
get the error list which occurs in the generation.

Returns:
  error list.

### getTOC

@Deprecated TOCNode getTOC()
Deprecated.
This method shoule be substituted by:
`getTOCTree( format, locale ).getTOCTree( );`
get the TOC structure constructed in the generation.

Returns:
  the TOC structure.

### getTOCTree

ITOCTree getTOCTree(String format, com.ibm.icu.util.ULocale locale)
Gets the toc tree of this report content.

Parameters:
  `format` -
  `locale` -
Returns:
  the TOC Tree

### getRoot

IContent getRoot()
Get the root content

Returns:
  Return the root content

### getTotalPage

long getTotalPage()
Get the total page

Returns:
  Return the total page

### getPageContent

IPageContent getPageContent(long pageNumber)
The page content in the report content. If the page is not exist, return NULL.

Parameters:
  `pageNumber` - page number
Returns:
  the page content object.

### getContent

IContent getContent(InstanceID id)
return the content in this report.

Parameters:
  `id` - content id
Returns:
  the content object

### findStyle

IStyle findStyle(String styleClass)
find the named style.

Parameters:
  `styleClass` - style name.
Returns:
  style named with the name, null if not exists.

### createActionContent

IHyperlinkAction createActionContent()
create a anction content. The action content can only be use in this report content.

Returns:
  the action content.

### createStyle

IStyle createStyle()
create a style. the style can only be used in this report.

Returns:
  style created.

### createCellContent

ICellContent createCellContent()
create a cell content. the content can only be used in this report.

Returns:
  cell content.

### createContainerContent

IContainerContent createContainerContent()
create a container content. the content can only be used in this report.

Returns:
  the container content.

### createPageContent

IPageContent createPageContent()
create a page content. the page content can only be used in this report.

Returns:
  the page content.

### createTableContent

ITableContent createTableContent()
create an table content. the table content can only be used in this report.

Returns:
  the table.

### createTableGroupContent

ITableGroupContent createTableGroupContent()
Create the table group content

Returns:
  Return the table group content

### createTableBandContent

ITableBandContent createTableBandContent()
Create the table band content

Returns:
  Return the table band content

### createListContent

IListContent createListContent()
Create the list content

Returns:
  Return the list content

### createListGroupContent

IListGroupContent createListGroupContent()
Create the list group content

Returns:
  Return the list group content

### createListBandContent

IListBandContent createListBandContent()
Create the list band content

Returns:
  Return the list band content

### createRowContent

IRowContent createRowContent()
create the row content. the row can only be used in this report.

Returns:
  the row content.

### createTextContent

ITextContent createTextContent()
create the text content. the text can only be used in this report.

Returns:
  the text content.

### createTextContent

ITextContent createTextContent(IContent content)
create the text content, copy the properties from the template content. the text can only be used in this report.

Parameters:
  `content` - the content template.
Returns:
  the text content.

### createForeignContent

IForeignContent createForeignContent()
create the foreign content. the foreign content can only be used in this report.

Returns:
  the foreign content

### createImageContent

IImageContent createImageContent()
create the image content. the image can only be used in this report.

Returns:
  the image content.

### createImageContent

IImageContent createImageContent(IContent content)
create the image content, copy the properties from the template content. the image can only be used in this report.

Parameters:
  `content` - the content template.
Returns:
  the image content.

### createLabelContent

ILabelContent createLabelContent()
create the label content. the label can only be used in this report.

Returns:
  the label content.

### createAutoTextContent

IAutoTextContent createAutoTextContent()
create the auto text content. the auto text can only be used in this report.

Returns:
  the auto text content.

### createLabelContent

ILabelContent createLabelContent(IContent content)
create the label content, copy the properties from the template content. the label can only be used in this report.

Parameters:
  `content` - the content template.
Returns:
  the label content.

### createDataContent

IDataContent createDataContent()
create the data content. the data can only be used in this report.

Returns:
  the data content.

### createDataContent

IDataContent createDataContent(IContent content)
create the data content, copy the properties from the template content. the data can only be used in this report.

Parameters:
  `content` - the content template.
Returns:
  the data content.

### getACL

String getACL()
Get the ACL

Returns:
  Return the ACL

### setACL

void setACL(String acl)
Set the ACL

Parameters:
  `acl` -

### getReportContext

org.eclipse.birt.report.engine.api.script.IReportContext getReportContext()

Returns:
  the ReportContext

### getUserProperties

Map<String,Object> getUserProperties()
Get the user properties

Returns:
  Return the user properties

### getExtensions

Map<String,Object> getExtensions()
Get the extensions

Returns:
  Return the extensions

### setExtensions

void setExtensions(Map<String,Object> properties)
Set the extensions

Parameters:
  `properties` - properties of extensions

### writeContent

void writeContent(DataOutputStream out) throws IOException
Write the content

Parameters:
  `out` - output stream
Throws:
  `IOException`

### readContent

void readContent(DataInputStream in, ClassLoader loader) throws IOException
Read content

Parameters:
  `in` - input stream
  `loader` - class loader
Throws:
  `IOException`

### getTitle

String getTitle()
Get the title

Returns:
  Return the title

### setTitle

void setTitle(String title)